%global with_python3 1
Name:		python-PyRSS2Gen
Version:	1.1
Release:	7%{?dist}
Summary:	A Python library for generating RSS 2.0 feeds

Group:		Development/Libraries
License:	BSD
URL:		http://www.dalkescientific.com/Python/PyRSS2Gen.html
Source0:	http://www.dalkescientific.com/Python/PyRSS2Gen-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python2-devel
BuildRequires:	python-setuptools
Requires:	python-feedparser
%description	
A Python library for generating RSS 2.0 feeds.

%if 0%{?with_python3}
%package -n python3-PyRSS2Gen
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
Requires:	python3-feedparser
Summary:	A Python library for generating RSS 2.0 feeds
BuildArch:	noarch
Group:		Development/Libraries
%description -n python3-PyRSS2Gen
A Python3 library for generating RSS 2.0 feeds.
%endif 



%prep
%setup -qn PyRSS2Gen-%{version}

%build

%install
%if 0%{?with_python3}
%{__python3} setup.py install --root %{buildroot}
%endif

%{__python2} setup.py install --root %{buildroot}

%check


%files -n python-PyRSS2Gen
%{python_sitelib}/PyRSS2Gen-%{version}-py2.7.egg-info
%{python_sitelib}/PyRSS2Gen.py
%{python_sitelib}/PyRSS2Gen.pyc
%{python_sitelib}/PyRSS2Gen.pyo
%doc README LICENSE

%if 0%{?with_python3}
%files -n python3-PyRSS2Gen
%{python3_sitelib}/PyRSS2Gen-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/PyRSS2Gen.py
%{python3_sitelib}/__pycache__/PyRSS2Gen.cpython-3?.pyc
%{python3_sitelib}/__pycache__/PyRSS2Gen.cpython-3?.pyo
%doc README LICENSE
%endif

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 14 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Tue Sep 10 2013 Pete Travis <immanetize@fedoraproject.org> 1.1-4
- Completing python3 subpackaging, so it really does work.

* Fri Sep 06 2013 Pete Travis <immanetize@fedoraproject.org> 1.1-3
- This should build a python3 package, too.

* Thu Aug 22 2013 Pete Travis <immanetize@fedoraproject.org> 1.1-1
- Initial packaging.

* Thu Aug 22 2013 Pete Travis <immanetize@fedoraproject.org> 1.1-2
- Correcting Requires and BuildRequires in spec, build as noarch.
